<?php

namespace App\Http\Resources\Semesters;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class SemesterResolveResource extends JsonResource
{
    public function toArray(Request $request): array
    {
        return [
            'date' => $this->resource['date'] ?? null,
            'semester' => $this->resource['semester'] ?? null,
        ];
    }
}
